﻿@{
    ViewBag.Title = "Index";
    //bool IsNotActive = false;
}

<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Adjustment</h3>
    </div>
    <!-- Page Stats -->
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->


<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-6 pull-right">
        <div class="widget box">
            <div class="widget-content">
                @using (Html.BeginForm(MVC.AdjustmentReporting.Index(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formSearchAdjustment" }))
                {
                    @Html.AntiForgeryToken()
                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Tgl Awal  </label>
                            <div class="col-md-6">
                                @Html.TextBox("startDate", "", new { @class = "form-control datepicker" })
                            </div>
                        </div>
                    </div>
                    <div class="form-horizontal row-border">
                        <div class="form-group">
                            <label class="col-md-3 control-label">Tgl Akhir   </label>
                            <div class="col-md-6">
                                @Html.TextBox("endDate", "", new { @class = "form-control datepicker" })
                            </div>
                        </div>
                    </div>
                    <div class="form-actions">
                        <input type="submit" value="Download" class="btn btn-primary pull-right" id="download-button-reporting">
                        <input type="button" value="Search" class="btn btn-primary pull-right" id="search-button-reporting">
                    </div>
                }
            </div>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="widget">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Adjustment Reporting</h4>
            </div>
            <div class="right-title">
                @using (Html.BeginForm(null, null, null, FormMethod.Post, new { id = "gridSeachAdjustmentReporting", LoginLog = "form" }))
                {
                    @*<input type="text" id="hiddenUsername" name="hiddenUsername" class="form-control box-search" style="display: none">*@
                    <input type="text" id="hiddenAwal" name="hiddenAwal" class="form-control box-search" style="display: none">
                    <input type="text" id="hiddenAkhir" name="hiddenAkhir" class="form-control box-search" style="display: none">
                    <button class="hidden" type="submit" id="hidden-search-log"></button>
                }

            </div>
            <div class="widget-content">
                @Html.Action("GridGetAll")
            </div>
            <!-- .box-content -->

        </div>
        <!-- .box -->

    </div>
</div>



@section FooterScript{
    <script>
        (function () {
            var gridName = 'AllAdjustmentReporting';
            var pagingUrl = '@Url.Action(MVC.AdjustmentReporting.GridGetAllPager())';

            $('.grid-mvc').gridmvc();
            pageGrids[gridName].ajaxify({
                getData: pagingUrl,
                getPagedData: pagingUrl,
                gridFilterForm: $('#gridSeachAdjustmentReporting'),
                onAjaxComplete: function (status, response) {
                    if (status === 'success' && response.hasItems) {
                        var nextTotalRow = $.each($(response.Html), function (idx, item) {
                            if (item.id === 'totalRows') {
                                $('#totalRows').text(item.innerText);
                            }
                        })
                    }
                    else {
                        var nextTotalRow = $.each($(response.Html), function (idx, item) {
                            if (item.id === 'totalRows') {
                                $('#totalRows').text('no items to display');
                            }
                        })
                    }
                }
            });


            $('#search-button-reporting').click(function () {
                // alert('aaa')
                var awal = $('#startDate').val();
                var akhir = $('#endDate').val();

                $('#hiddenAwal').val(awal);
                $('#hiddenAkhir').val(akhir);
                $('#hidden-search-log').click();


            });

            $('#download-button-reporting').click(function () {

                setTimeout(function () { HideLoader(); }, 3000);
            });



        }())


    </script>
}